GNU bug report logs - #34034
[PATCH]: Add Bochs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Guy fleury <hoonandon@HIDDEN>; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 34034 <at> debbugs.gnu.org and Guy fleury <hoonandon@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34034 <at> debbugs.gnu.org:


Received: (at 34034) by debbugs.gnu.org; 11 Jan 2019 22:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 11 17:11:35 2019
Received: from localhost ([127.0.0.1]:56402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gi51a-0003WI-QC
	for submit <at> debbugs.gnu.org; Fri, 11 Jan 2019 17:11:34 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:57783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gi51Z-0003W6-CJ
 for 34034 <at> debbugs.gnu.org; Fri, 11 Jan 2019 17:11:33 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 2CF3522A9D;
 Fri, 11 Jan 2019 17:11:28 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Fri, 11 Jan 2019 17:11:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=23+hxRZSBR4BvorYiAugDDXk
 /c2xFYySVk1MAlrN4EY=; b=dThi1+I0RR3NInw7GFn9kKHEhJw1p2Kn1Sl45vkz
 jXtIPBp8BsDy3FSecTetdDpbRospvUGO8K0qADqoAI4tjNKtMLnbtnPrr5ot6MEg
 ZpTAXR0WroAMem2AkFGRlWTbUDWTWH6DkB4xTpWkqEEx/7pLbukk9JOoFhhFd9B4
 e3Q=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=23+hxR
 ZSBR4BvorYiAugDDXk/c2xFYySVk1MAlrN4EY=; b=mJ++sSuhmzJdfpeYKNhf/o
 H0jzDZ1qCDB9D/j1SJTbmN5p6gqu8wRNtEo/t588ePmsJQ+km2hHJXrESxocmnvM
 ErP+O25dIzGubY25FBWBqMHs2B46JiMo2u5IxpZkCrfNv7Ms21GbLy2PsmP4k8GJ
 9Ww4H7a7g7CxYcVwNbIX8UJvGVK56r6usls1qQUFYAqyLiGrClzvPyDXJto0KK8Z
 EH6G2h7G/adCL0lC9RIHpF5sTINI5iBzI5R1SqAxQAOGIOyIr+Uwti0AUF17PK9A
 mO5FHcHdo9Q9gKLeV2A0e2EtMdsaLGzKZSpnxNsSFBY7WWIu+ZlBYeVFsmsv7VJw
 ==
X-ME-Sender: <xms:kBQ5XF00A_UDO9W4-DBnzZsP-qApOSBrJPZs2JKrF_qIeiePPk8XTw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrfeehgdduiedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhepfffhvffukfhfgggtuggjfgesghdtreertdervdenucfhrhhomh
 epnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecu
 kfhppeejiedruddvgedrvddtvddrudefjeenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvgenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:kBQ5XD_kzznpz6kWRcN1-QNs5p3fLfTisMasnWNmLkWE-GvDs4NJTA>
 <xmx:kBQ5XFQoXCRdWLk-h4P8uYWqUmSamOrq4lx7z4QjEKTRR8A-yrfqYg>
 <xmx:kBQ5XKkrOmFLkYIiWxWsJvy8I8-GjIW4S1_0iYypNmsFusm-qkqpOg>
 <xmx:kBQ5XAfQINZTe1XUNxaH6fzwzEdNE48q7C21q4r_bn2hkW5NGbc8YQ>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id B3C8110281;
 Fri, 11 Jan 2019 17:11:27 -0500 (EST)
Date: Fri, 11 Jan 2019 17:11:26 -0500
From: Leo Famulari <leo@HIDDEN>
To: Guy fleury <hoonandon@HIDDEN>
Subject: Re: [bug#34034] [PATCH]: Add Bochs
Message-ID: <20190111221126.GB27583@HIDDEN>
References: <CAOYpmvoYD7OG4neSH=O31vcnA==CbN8m1VwcxkCP-m+qw0fBJw@HIDDEN>
 <CAOYpmvr83V26bUPjesjCFe98K2H+gaqf51oNLpbwc5h2s1PddA@HIDDEN>
 <20190110234228.GA28964@HIDDEN>
 <CAOYpmvpTUv9yv91jymrFDMD7F2FPHANfpGYYTDjc2LNFcya1=w@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="QKdGvSO+nmPlgiQ/"
Content-Disposition: inline
In-Reply-To: <CAOYpmvpTUv9yv91jymrFDMD7F2FPHANfpGYYTDjc2LNFcya1=w@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34034
Cc: 34034 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--QKdGvSO+nmPlgiQ/
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Fri, Jan 11, 2019 at 06:52:31AM +0100, Guy fleury wrote:
> From ed8c4f10dd669de42539dc44437c5729230be59d Mon Sep 17 00:00:00 2001
> From: guy fleury iteriteka <hoonandon@HIDDEN>
> Date: Thu, 10 Jan 2019 17:33:30 +0100
> Subject: [PATCH] gnu: Add Bochs

Thanks! Pushed as 170436771968dfa272225ea45b63689b900fd317

--QKdGvSO+nmPlgiQ/
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlw5FI4ACgkQJkb6MLrK
fwhgPA//WdangtPF8QUQTDd6AdXUvH0YoBTkVjo54hNJLS+ivugU70dyrDsucft4
7SN3HZHNqr+gHmpqQ+J870c1Et0hSACbK+/QNXlpNE3LuS2VyodOa4cI+wPV0tTP
SrX7MtKIi1XE72a01GnhSrw5s56ObqDN4rlm4Qo+ipw8OqmeFLr6TmPhA4gJBsUX
z4ahtgfjlNHcNGtwV2u5wKaZJieYfjSX2jvtjUjOuuIyUUo1jXah6HdP/IsIOyfI
W3h3ZcHfM4vCLI8JgJjjEyPbaFZUh5hE6nbxZu4dU+PRcv1aoLe3jisb+3AVi+pU
9KQjbNg/bcUWCzHVhaax23IFSl1qouTmqr08As0RBjxo5nxcVUxEkEhsVI94MZ8z
GTl8NpTidyzq8rnswhGKBpZjrx2OLpxJjO7BB5iFPhk38q3ahW+Ww9yiALbxHaXy
wTNF3MRBJwWCcMajZ6J1NpS5iWUhy5scLxyoVH9XiQQ+LjWaE0lH/9YxRG+rTOYr
VePER6jSKzLsdKyhuC8JPErY98Z8TAGDhZibRUNCs5KbsWdGa3aFs8OIroRG0mW/
5V9hExqy94Y1YaX68H6wLpsYAIbNHZvWhmn/k0VdrD0dLsuEeOXHuior18HW69d9
4AWi0UX+OphSutsHyq86kNTlL4us2bUhRx4JY8N/0nYDvA/keiw=
=xYPu
-----END PGP SIGNATURE-----

--QKdGvSO+nmPlgiQ/--




Information forwarded to guix-patches@HIDDEN:
bug#34034; Package guix-patches. Full text available.

Message received at 34034 <at> debbugs.gnu.org:


Received: (at 34034) by debbugs.gnu.org; 11 Jan 2019 05:52:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 11 00:52:53 2019
Received: from localhost ([127.0.0.1]:54443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghpkT-000169-BT
	for submit <at> debbugs.gnu.org; Fri, 11 Jan 2019 00:52:53 -0500
Received: from mail-oi1-f177.google.com ([209.85.167.177]:45609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hoonandon@HIDDEN>) id 1ghpkR-00015t-53
 for 34034 <at> debbugs.gnu.org; Fri, 11 Jan 2019 00:52:52 -0500
Received: by mail-oi1-f177.google.com with SMTP id y1so11298762oie.12
 for <34034 <at> debbugs.gnu.org>; Thu, 10 Jan 2019 21:52:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=cQyZLvXNTeHitxaCDsy/XfeiU0pmE7bkSUNwRfxZ/iQ=;
 b=gCaswYRV+NnS25nl7ZR6TGv93bs8poK8CBXBQyHKvOwRCPlFTIscjZYMBygXSN2RWU
 FAPcti3dgvekpb0EvJQXAuWRetw+wdkMMjnjifGsXuBEpFdw1ipuBoBSvQmo2fuMuvui
 blrp6/42tO8LKiWAQEGcfzK6YIqAKx6i1v1A3deTyO+6XbBN1Bi352lQJm1MyJ9e1cIC
 CZN9bizj3dVM0u7lbAV/eC+AqYtgPC4Pl9fKXdWRwerAHahHEUsGiqHuuRY18KqQvY+Z
 i7IR/Kh9RuMv+9NbJ7epiAfkfL8wCkeex+MrHaoZVH48FiHNnxrBusV6op2Re0bxANc7
 gErA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=cQyZLvXNTeHitxaCDsy/XfeiU0pmE7bkSUNwRfxZ/iQ=;
 b=NzAJDJ7gDcu6QPFACE8USWddmS5RrTd37O8ixa444NfdxHiQnfOwXOmKgFQ7JC7FK1
 03At8rF0Xa2Oyko/t2w9ZWaUKdSsHJOHTdogg+mRI1BYLeEYA5fFBN/olTWPEapDLJov
 aEzwOzg9Ch2dxllcVYcgWI3H49QRfvKOBKWq5os9teB/f8vpZyKqKpCJNztkkaX3g8Er
 hLwRORxuwlxL0YE0jd953Dluzg3qcF9rESIqAfsoftPNRD6Mtswf1NVPwbXzc8nhWZqH
 SFNx09+sZXmg1dsvWCyiS7KV4n6EsBlyE+w4MxJkSZHniUv/Q3qHPOsSM6J9RUR2y8sw
 9aKA==
X-Gm-Message-State: AJcUukdb+aU+Ka8GDflLFveJ9SFteXXhabIQVL8yswkCelkZrFYPK8db
 clG4daPy9qYX/xS6x43LShPoJmLHJ53Qkne7pOYQZA==
X-Google-Smtp-Source: ALg8bN4ohodWb94UI9dxWikvbzABqPI4mn3+yKQNi8xBs3ja6rBB6PU/HEY84dQRgaTq+mC1OUXIU2fdMvebqY1DtN0=
X-Received: by 2002:aca:1c04:: with SMTP id c4mr8033243oic.191.1547185965363; 
 Thu, 10 Jan 2019 21:52:45 -0800 (PST)
MIME-Version: 1.0
References: <CAOYpmvoYD7OG4neSH=O31vcnA==CbN8m1VwcxkCP-m+qw0fBJw@HIDDEN>
 <CAOYpmvr83V26bUPjesjCFe98K2H+gaqf51oNLpbwc5h2s1PddA@HIDDEN>
 <20190110234228.GA28964@HIDDEN>
In-Reply-To: <20190110234228.GA28964@HIDDEN>
From: Guy fleury <hoonandon@HIDDEN>
Date: Fri, 11 Jan 2019 06:52:31 +0100
Message-ID: <CAOYpmvpTUv9yv91jymrFDMD7F2FPHANfpGYYTDjc2LNFcya1=w@HIDDEN>
Subject: Re: [bug#34034] [PATCH]: Add Bochs
To: Leo Famulari <leo@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000de2cea057f284df1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34034
Cc: 34034 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000de2cea057f284df1
Content-Type: multipart/alternative; boundary="000000000000de2ce7057f284def"

--000000000000de2ce7057f284def
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

hi

Le ven. 11 janv. 2019 =C3=A0 00:42, Leo Famulari <leo@HIDDEN> a =C3=
=A9crit :

> On Thu, Jan 10, 2019 at 07:18:04PM +0100, Guy fleury wrote:
> > From 0380fab2ad7195407fc29afb830a86dbfae03b3f Mon Sep 17 00:00:00 2001
> > From: guy fleury iteriteka <hoonandon@HIDDEN>
> > Date: Thu, 10 Jan 2019 17:33:30 +0100
> > Subject: [PATCH] gnu: Add Bochs
>
> Thank you!
>
> > +    (outputs '("out"))
>
> This is the default, so it's okay to leave it out.
>
> > +     `(#:tests? #f)) ;; no tests exits
>
> "No tests exist"
>
> > +    (inputs
> > +     `(("glib" ,glib)
> > +       ("gtk+" ,gtk+)
> > +       ("libxrandr" ,libxrandr)))
>
> I noticed that it doesn't keep references to glib and gtk+:
>
> ------
> $  guix gc --references $(./pre-inst-env guix build --no-grafts bochs)
> /gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3
> /gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2
> /gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib
> /gnu/store/6lwn8v33r2z2l2pgky2dnzim3696dwnn-libbsd-0.9.1
> /gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6
> /gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28
> /gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13
> /gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8
> /gnu/store/mbbj3j86amqls868hip0l85q9lx8gbcn-libxrandr-1.5.1
> /gnu/store/x6fyr53k53sd5ghnh3abpnr1mqsy3xig-bochs-2.6.9
> /gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10
> ------
>
thanks for this tips.

> So, I think it's possible to omit those two inputs.
>
> > +     "Bochs is an emulator which can emulate Intel x86 CPU, common I/O
> > +devices, and a custom BIOS.  It can also compiled to emulate many
> different
>
> "It can also be compiled to ..."
>
> > +Bochs can running most Operating Systems inside the emulation includin=
g
> Linux,
> > +DOS or Microsoft Windows.")
>
> "Bochs can run most operating systems ..."
>
> > +    (license license:lgpl2.0)))
>
> I checked some of the source files and I think it is lgpl2.0+.
>
> Can you send an updated patch? :)
>

--000000000000de2ce7057f284def
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>hi</div><br><div class=3D"gmail_quote"><div dir=3D"lt=
r">Le=C2=A0ven. 11 janv. 2019 =C3=A0=C2=A000:42, Leo Famulari &lt;<a href=
=3D"mailto:leo@HIDDEN">leo@HIDDEN</a>&gt; a =C3=A9crit=C2=A0:=
<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8=
ex;border-left-width:1px;border-left-style:solid;border-left-color:rgb(204,=
204,204);padding-left:1ex">On Thu, Jan 10, 2019 at 07:18:04PM +0100, Guy fl=
eury wrote:<br>
&gt; From 0380fab2ad7195407fc29afb830a86dbfae03b3f Mon Sep 17 00:00:00 2001=
<br>
&gt; From: guy fleury iteriteka &lt;<a href=3D"mailto:hoonandon@HIDDEN" =
target=3D"_blank">hoonandon@HIDDEN</a>&gt;<br>
&gt; Date: Thu, 10 Jan 2019 17:33:30 +0100<br>
&gt; Subject: [PATCH] gnu: Add Bochs<br>
<br>
Thank you!<br>
<br>
&gt; +=C2=A0 =C2=A0 (outputs &#39;(&quot;out&quot;))<br>
<br>
This is the default, so it&#39;s okay to leave it out.<br>
<br>
&gt; +=C2=A0 =C2=A0 =C2=A0`(#:tests? #f)) ;; no tests exits<br>
<br>
&quot;No tests exist&quot;<br>
<br>
&gt; +=C2=A0 =C2=A0 (inputs<br>
&gt; +=C2=A0 =C2=A0 =C2=A0`((&quot;glib&quot; ,glib)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0(&quot;gtk+&quot; ,gtk+)<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 =C2=A0(&quot;libxrandr&quot; ,libxrandr)))<br>
<br>
I noticed that it doesn&#39;t keep references to glib and gtk+:<br>
<br>
------<br>
$=C2=A0 guix gc --references $(./pre-inst-env guix build --no-grafts bochs)=
<br>
/gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3<br>
/gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2<br>
/gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib<br>
/gnu/store/6lwn8v33r2z2l2pgky2dnzim3696dwnn-libbsd-0.9.1<br>
/gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6<br>
/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28<br>
/gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13<br>
/gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8<br>
/gnu/store/mbbj3j86amqls868hip0l85q9lx8gbcn-libxrandr-1.5.1<br>
/gnu/store/x6fyr53k53sd5ghnh3abpnr1mqsy3xig-bochs-2.6.9<br>
/gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10<br>
------<br></blockquote><div>thanks for this tips.=C2=A0</div><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px=
;border-left-style:solid;border-left-color:rgb(204,204,204);padding-left:1e=
x">
So, I think it&#39;s possible to omit those two inputs.<br>
<br>
&gt; +=C2=A0 =C2=A0 =C2=A0&quot;Bochs is an emulator which can emulate Inte=
l x86 CPU, common I/O<br>
&gt; +devices, and a custom BIOS.=C2=A0 It can also compiled to emulate man=
y different<br>
<br>
&quot;It can also be compiled to ...&quot;<br>
<br>
&gt; +Bochs can running most Operating Systems inside the emulation includi=
ng Linux,<br>
&gt; +DOS or Microsoft Windows.&quot;)<br>
<br>
&quot;Bochs can run most operating systems ...&quot;<br>
<br>
&gt; +=C2=A0 =C2=A0 (license license:lgpl2.0)))<br>
<br>
I checked some of the source files and I think it is lgpl2.0+.<br>
<br>
Can you send an updated patch? :)<br>
</blockquote></div></div>

--000000000000de2ce7057f284def--

--000000000000de2cea057f284df1
Content-Type: text/x-patch; charset="UTF-8"; name="0001-gnu-Add-Bochs.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-Bochs.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jqrmk85m0>
X-Attachment-Id: f_jqrmk85m0
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--000000000000de2cea057f284df1--




Information forwarded to guix-patches@HIDDEN:
bug#34034; Package guix-patches. Full text available.

Message received at 34034 <at> debbugs.gnu.org:


Received: (at 34034) by debbugs.gnu.org; 10 Jan 2019 23:42:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 18:42:41 2019
Received: from localhost ([127.0.0.1]:54398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghjyC-0006hs-Us
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 18:42:41 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:39903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1ghjy9-0006hc-1w
 for 34034 <at> debbugs.gnu.org; Thu, 10 Jan 2019 18:42:39 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id B168A220A3;
 Thu, 10 Jan 2019 18:42:31 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 10 Jan 2019 18:42:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=2txu+mbWUkyDQf7DfLNCk/rh
 Ic7lUZdtWCQE/CMjdG4=; b=Gl0iZTZMsCDPk9mysIDLsLLFy+ZQcADKMmr6r13e
 yC72YIIAfhxmpnCCpfhmb9ola5kvVJjVbwKnTweu/w508nSsIkHRXfDVSFWshVof
 H2eR8QdNijx5AV58uAe9hBteWBpoCR/2Mc3HmZe8rvPIjzFjkr4oPakoPuDmCPOR
 i+8=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=2txu+m
 bWUkyDQf7DfLNCk/rhIc7lUZdtWCQE/CMjdG4=; b=bF3p5/9ie6uQsiZujbIDG3
 ivcXID2bjKF9+Crel6bvS1RKi+aSa0NFaxLlEdwhHdUAQJ8rxChu5DHBfYIdYSe9
 rdgy6ghE2kYIh8VfURcGjRl/uMxJWmeLzxHnSezlyD9EzdV/GZw4eE8Fb/ynz2rL
 hbHW7XthAwpI97/0q5N8nx+zmBoXUgf9RbYWGu4Y6huB6pqRQYwUAoG7kNHD+44/
 PpaCyC7zag/koDqW5XGHsZp15qXNx9/g/+f9GZyZI1lZby0XnqaFQBXx690VIUuE
 InF7n6exjbr5pGzhImGgMiw95SrUUjLe9H586H2AkWPlfAIUZlRmASfFfsiKJoRA
 ==
X-ME-Sender: <xms:Z9g3XD7JaK3hJi0AiGT66dupQW5lTv8Q46aNQMGVCQ3EtBftUajf6w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledrfeeggdduvdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecufedt
 tdenucenucfjughrpeffhffvuffkfhggtggujggfsehgtderredtredvnecuhfhrohhmpe
 fnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucfk
 phepjeeirdduvdegrddvtddvrddufeejnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgvnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:Z9g3XL4UytI4ExmTFlEBbfVfivYfZmXctIJbs4SKTJ0v9ccTIz5TCA>
 <xmx:Z9g3XEVlWsKIO_9eNF1NnIxZ35eIGlLAnG1Z6GDFx-5fbJE2HVx-Tw>
 <xmx:Z9g3XPM1sHS5Teeoj2C6OoCv4rSgVum5ZGcBhl-m15bdqpCK67QhJg>
 <xmx:Z9g3XF9jKQRmwpvBfM18No_j-p30AtQnoWOnweMFZO8TVKkQ3F1_xQ>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id 24ADE100E5;
 Thu, 10 Jan 2019 18:42:31 -0500 (EST)
Date: Thu, 10 Jan 2019 18:42:28 -0500
From: Leo Famulari <leo@HIDDEN>
To: Guy fleury <hoonandon@HIDDEN>
Subject: Re: [bug#34034] [PATCH]: Add Bochs
Message-ID: <20190110234228.GA28964@HIDDEN>
References: <CAOYpmvoYD7OG4neSH=O31vcnA==CbN8m1VwcxkCP-m+qw0fBJw@HIDDEN>
 <CAOYpmvr83V26bUPjesjCFe98K2H+gaqf51oNLpbwc5h2s1PddA@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="bg08WKrSYDhXBjb5"
Content-Disposition: inline
In-Reply-To: <CAOYpmvr83V26bUPjesjCFe98K2H+gaqf51oNLpbwc5h2s1PddA@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34034
Cc: 34034 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--bg08WKrSYDhXBjb5
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Thu, Jan 10, 2019 at 07:18:04PM +0100, Guy fleury wrote:
> From 0380fab2ad7195407fc29afb830a86dbfae03b3f Mon Sep 17 00:00:00 2001
> From: guy fleury iteriteka <hoonandon@HIDDEN>
> Date: Thu, 10 Jan 2019 17:33:30 +0100
> Subject: [PATCH] gnu: Add Bochs

Thank you!

> +    (outputs '("out"))

This is the default, so it's okay to leave it out.

> +     `(#:tests? #f)) ;; no tests exits

"No tests exist"

> +    (inputs
> +     `(("glib" ,glib)
> +       ("gtk+" ,gtk+)
> +       ("libxrandr" ,libxrandr)))

I noticed that it doesn't keep references to glib and gtk+:

------
$  guix gc --references $(./pre-inst-env guix build --no-grafts bochs)
/gnu/store/2dk55i5wdhcbh2z8hhn3r55x4873iyp1-libxext-1.3.3
/gnu/store/3vlscch2sxybd34qx2ianpg92crm9akm-libxdmcp-1.1.2
/gnu/store/4sqps8dczv3g7rwbdibfz6rf5jlk7w90-gcc-5.5.0-lib
/gnu/store/6lwn8v33r2z2l2pgky2dnzim3696dwnn-libbsd-0.9.1
/gnu/store/8baabfjazsr7s4y0jig1sn84xnxf75xa-libx11-1.6.6
/gnu/store/h90vnqw0nwd0hhm1l5dgxsdrigddfmq4-glibc-2.28
/gnu/store/hnj08aavzpsi72wvi4qqrp5dqbyqxqqs-libxcb-1.13
/gnu/store/mawqhgh0bdxpa4gjxs1fjyhwvv6i8w5g-libxau-1.0.8
/gnu/store/mbbj3j86amqls868hip0l85q9lx8gbcn-libxrandr-1.5.1
/gnu/store/x6fyr53k53sd5ghnh3abpnr1mqsy3xig-bochs-2.6.9
/gnu/store/xrvwszmahcb7k2zcyag3vmqwswzrbvcg-libxrender-0.9.10
------

So, I think it's possible to omit those two inputs.

> +     "Bochs is an emulator which can emulate Intel x86 CPU, common I/O
> +devices, and a custom BIOS.  It can also compiled to emulate many different

"It can also be compiled to ..."

> +Bochs can running most Operating Systems inside the emulation including Linux,
> +DOS or Microsoft Windows.")

"Bochs can run most operating systems ..."

> +    (license license:lgpl2.0)))

I checked some of the source files and I think it is lgpl2.0+.

Can you send an updated patch? :)

--bg08WKrSYDhXBjb5
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlw32GEACgkQJkb6MLrK
fwgTGxAApV701nPD63se+WdO3S7xGd7CP7OMaUJymm7ep3ylYHX7ko/7AD2y+paJ
t4GiXOXwwG04jvF6sdtF8ugx+cQiMYJgPgkvUzevdSDZ5+MYJx+UQIjwjz+BUL2N
aaJLYDjnCt+ATLjOLYfU62ImzWbpUC/JR3nwhnuTwQ1RTGkyUaGSp9l8jGmIwQgY
ZMJ4gTf7wktd0Mb5K6AcAqBW3RX5sDJW6/JEufLseVC2zsCKTi0RTDS64sdUHuBS
EEA0tyNdFxfOSfZMcX1ja3ZQtgYJPgbbYsoYK9zgJLljcjaHuYJzXBWCJYT5lIta
aVlvAvLDY5ImoOT1hvpau1D6vHDmmPc7Pxt9+nOsyjHp6gZpEb4YOP7epdy49rme
c9tGQdOQ+inl4YCfeB6Ja0lbGZ6QpdBXEV6htfvxiEb4rsjW+xIbg1F6C5NCIpFL
n5Qxnb4NPwxPtYRO9g/X8kR4s+FOjsbaPOp1BxrrmXsGYQ8xv/IgigYanOPQozIg
edpPE+jJl9ecEPsKQqGRzAhC6Lvz+uRJheKxEI9bakJKGlackwR62dlVOtignhcP
gliNm1q5Ax/dhCyb9Hz4pkN6qE0ahX3MiDcuA6k3inHOddF7BTGH5Ex9q+Updvnb
2dEIEhiwsPJYHkgcqBIsdaeOWVcy8AKzFcawK5MYU5vU0wpDqWg=
=MN2j
-----END PGP SIGNATURE-----

--bg08WKrSYDhXBjb5--




Information forwarded to guix-patches@HIDDEN:
bug#34034; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2019 18:18:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 13:18:41 2019
Received: from localhost ([127.0.0.1]:54164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gheuf-0007ZO-Iy
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 13:18:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hoonandon@HIDDEN>) id 1gheuc-0007ZA-3H
 for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 13:18:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:36626)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hoonandon@HIDDEN>) id 1gheuV-0003Vy-82
 for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 13:18:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43427)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hoonandon@HIDDEN>) id 1gheuT-0004X3-Rr
 for Guix-patches@HIDDEN; Thu, 10 Jan 2019 13:18:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hoonandon@HIDDEN>) id 1gheuR-0003TQ-0d
 for Guix-patches@HIDDEN; Thu, 10 Jan 2019 13:18:28 -0500
Received: from mail-ot1-x332.google.com ([2607:f8b0:4864:20::332]:45846)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hoonandon@HIDDEN>) id 1gheuL-0003Pk-Mj
 for Guix-patches@HIDDEN; Thu, 10 Jan 2019 13:18:23 -0500
Received: by mail-ot1-x332.google.com with SMTP id 32so10746490ota.12
 for <Guix-patches@HIDDEN>; Thu, 10 Jan 2019 10:18:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=RLq8qVED9Pq4uEKaO0vF5H2H4dlhId22WSzFHQvY41o=;
 b=rbfcvx4pq9PUmi3g8J87VjP9WLHcWYBRzXmz30ppIpQ0HRWhBTSOByHRZf3i1ow1W+
 f6THuA0+YZsRTwDedHhBOHYH482cFgLcgY5mTHyOkhTgbiWh4T3KQwv3YNaRigmo9ceL
 6itY9QU5DGrxYhMzyEi8oWA/v717CwrvU9ez5UTMrbjt9LREF/FO61p/UZB7CYNJjFWG
 F6vpYx0n+kDG+XDZiCYxwAceGYQwleju8MBK2xt+aQbpkdg5rlIjOW9rFtqX5AKif/GG
 pnVclYPGRpuoWN2xOOtEnGQUU3dlnmelo9VYtRZxcMiqpeTTifrcYxReRp3O7WYFfLqv
 caMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=RLq8qVED9Pq4uEKaO0vF5H2H4dlhId22WSzFHQvY41o=;
 b=Zeqoh2coC/mj4VScOxTNyf0Mx24MULvAqSvin1HzoszcNZ4yanrnoDxbFb52aJeapM
 Z29zjSyu9AzWGeO5LMij6/on8Azo7ePC63DWXSkqRCznBhurMr4RMLHidYBtGplL3ApA
 4s79xilLVLXvAvCig3zWaNq8en0onphnJ1CKuPurlD4hH32HZG3A0jbqNoOxeh6+3KW0
 ynwW2tIGaPXDSBCyCvvz52K3UOTluBrYkgBIZHt6LV4iK5isLn0Z7d94rAiqly2FGSky
 ue7FDsDoi0+TZlOnwmCE6wZ3DYHZ9R9PInryDjyuJPazrGlxu8xZRzeffR+qTS4wukxi
 2nsQ==
X-Gm-Message-State: AJcUukd9p+YXjQL0WoSr4o9KWg/A5CsqJZlj8LXYD2eaXDty1bNOPdtv
 3C9biDvVgvhVTlnO1bHQbJaJIpibs96GU/24Hb7wDg==
X-Google-Smtp-Source: ALg8bN5rLui757pp0ZvHCDTltb75IibldmFMOyuW+uDVJS/thSFCJohoewoBFBKZZmAhZOaUSRqtoae37iyAePae/Io=
X-Received: by 2002:a9d:1d29:: with SMTP id m38mr7282019otm.264.1547144298345; 
 Thu, 10 Jan 2019 10:18:18 -0800 (PST)
MIME-Version: 1.0
References: <CAOYpmvoYD7OG4neSH=O31vcnA==CbN8m1VwcxkCP-m+qw0fBJw@HIDDEN>
In-Reply-To: <CAOYpmvoYD7OG4neSH=O31vcnA==CbN8m1VwcxkCP-m+qw0fBJw@HIDDEN>
From: Guy fleury <hoonandon@HIDDEN>
Date: Thu, 10 Jan 2019 19:18:04 +0100
Message-ID: <CAOYpmvr83V26bUPjesjCFe98K2H+gaqf51oNLpbwc5h2s1PddA@HIDDEN>
Subject: Re: [PATCH]: Add Bochs
To: Guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="00000000000051e58b057f1e9a18"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::332
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--00000000000051e58b057f1e9a18
Content-Type: multipart/alternative; boundary="00000000000051e585057f1e9a16"

--00000000000051e585057f1e9a16
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

an updated patch

Le jeu. 10 janv. 2019 =C3=A0 17:40, Guy fleury <hoonandon@HIDDEN> a =C3=
=A9crit :

> hi guix,
>
> this patch add Bochs emulator
>

--00000000000051e585057f1e9a16
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>an updated patch<br></div></div><br><div class=3D"gma=
il_quote"><div dir=3D"ltr">Le=C2=A0jeu. 10 janv. 2019 =C3=A0=C2=A017:40, Gu=
y fleury &lt;<a href=3D"mailto:hoonandon@HIDDEN">hoonandon@HIDDEN</a>=
&gt; a =C3=A9crit=C2=A0:<br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left-width:1px;border-left-style:solid;=
border-left-color:rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr">hi gu=
ix,<div><br></div><div>this patch add Bochs emulator</div></div>
</blockquote></div>

--00000000000051e585057f1e9a16--

--00000000000051e58b057f1e9a18
Content-Type: text/x-patch; charset="UTF-8"; name="0001-gnu-Add-Bochs.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-Bochs.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jqqxr5ge0>
X-Attachment-Id: f_jqqxr5ge0
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--00000000000051e58b057f1e9a18--




Information forwarded to guix-patches@HIDDEN:
bug#34034; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2019 16:41:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 11:41:02 2019
Received: from localhost ([127.0.0.1]:54131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghdOA-0003Ia-IS
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 11:41:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hoonandon@HIDDEN>) id 1ghdO8-0003Hz-2i
 for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 11:41:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:34131)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hoonandon@HIDDEN>) id 1ghdO2-0002Gc-JI
 for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 11:40:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46002)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hoonandon@HIDDEN>) id 1ghdO1-0002Wg-Dv
 for Guix-patches@HIDDEN; Thu, 10 Jan 2019 11:40:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hoonandon@HIDDEN>) id 1ghdO0-0002ET-Cv
 for Guix-patches@HIDDEN; Thu, 10 Jan 2019 11:40:53 -0500
Received: from mail-oi1-x22d.google.com ([2607:f8b0:4864:20::22d]:39324)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hoonandon@HIDDEN>) id 1ghdO0-0002DW-76
 for Guix-patches@HIDDEN; Thu, 10 Jan 2019 11:40:52 -0500
Received: by mail-oi1-x22d.google.com with SMTP id i6so9783520oia.6
 for <Guix-patches@HIDDEN>; Thu, 10 Jan 2019 08:40:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=EqseDXEYBv7bRAoowMuTkyLAHMygO6bCJcTnW4xakP4=;
 b=evz2aLqackcFcZ83rpO4ExDD1x+nVrad3jfp1PI2FV4PSwGv08Vco1Wz/qHLDRH0t6
 XV4F9vCWRM3m5hr76dxIp6DTQvjzk11d2Ek//E2j62beSWzNM506Ox63Blmu6uoLyGh/
 fOFXF1nworTDr5VXQGT8hNAVeIP2de3I3xcqGfQC0QtqXDyKVsWe60Bv+mmGs3KQlGwy
 GyfG+kZiLtMs4CDTBR0hDYiKpfMYK1rbtFgxHPNCdol+uSLPMQSz1oRqJ5N7rP3kg7Dx
 68ZRXtBQGnUJc9aIXys9vc3OJLv3nb8LSid3wkSPr0d6jOue5Qa4ZP8X29qigQOTjWUP
 T6zg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=EqseDXEYBv7bRAoowMuTkyLAHMygO6bCJcTnW4xakP4=;
 b=rnQ4jLOQ3AbZnAJYfgB/Pzxvf+P+YvMXpeRhSlIMj11pAIm1GdwA30aLOqPA76vTLa
 0oEayM1ysS0xhToUYL9vNBmt2VkrrE9KfYy5iL/qkHHR0bS0jCo8xUY9FiRqHJnNNA5H
 WPehkQ3p2mhrlegq/55yZrkhSB0zZIjhgI9DHXONT2+FYa1ISuPq0nIyxbSe6KUviHbC
 QVROeBjvkPqXgLh/9XeFt6mzQZT8CDlRqtBbbvq7LOjNQCOSkvFMgJQCrOYjmkUlCwKQ
 BSlfixzULR+MMGtinlS0PL8P6ug//UIOK+yVKx43vLItZZgUwq5Am7vXOq7ELO2pKoKY
 uOMw==
X-Gm-Message-State: AJcUuke3Nkoxy8TLb9kw5L5JT9kjjkZgfiKb3SAdUPUOBKpfFm+flXah
 0587CbhWGyIZB9MB5EAZl70CUG3/hgTL+ip/rT9/1w==
X-Google-Smtp-Source: ALg8bN5KcE2LP7ekiRN6SoSaljD4FpyfyAj3TFmCOcCVcGtIXMXCKOdS9wX5sTSUVXGp5h+n2aHpghxs5fPbGY4+I8Q=
X-Received: by 2002:aca:f1d7:: with SMTP id p206mr7233160oih.239.1547138449919; 
 Thu, 10 Jan 2019 08:40:49 -0800 (PST)
MIME-Version: 1.0
From: Guy fleury <hoonandon@HIDDEN>
Date: Thu, 10 Jan 2019 17:40:35 +0100
Message-ID: <CAOYpmvoYD7OG4neSH=O31vcnA==CbN8m1VwcxkCP-m+qw0fBJw@HIDDEN>
Subject: [PATCH]: Add Bochs
To: Guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000b9f8e6057f1d3d90"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::22d
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--000000000000b9f8e6057f1d3d90
Content-Type: multipart/alternative; boundary="000000000000b9f8e3057f1d3d8e"

--000000000000b9f8e3057f1d3d8e
Content-Type: text/plain; charset="UTF-8"

hi guix,

this patch add Bochs emulator

--000000000000b9f8e3057f1d3d8e
Content-Type: text/html; charset="UTF-8"

<div dir="ltr">hi guix,<div><br></div><div>this patch add Bochs emulator</div></div>

--000000000000b9f8e3057f1d3d8e--

--000000000000b9f8e6057f1d3d90
Content-Type: text/x-patch; charset="UTF-8"; name="0001-gnu-Add-Bochs.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-Bochs.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jqqu9o2q0>
X-Attachment-Id: f_jqqu9o2q0
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--000000000000b9f8e6057f1d3d90--




Acknowledgement sent to Guy fleury <hoonandon@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34034; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Jan 2019 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.